V_SIM(1)

NAME
v_sim - a GTK program for 3D visualisation of atomic systems

SYNOPSIS
v_sim [-e file ] [-r file ] [-h ] [-g <w>x<h> ] [-s file ] [-m id ] [-a ] [-c file ] [-u l:m:n ] [-d id ] [-t x:y:z ] [-x x:y:z ] [-p file ] [-f file ] [-v v[:v] ] [-i file ] [-b id[:id] ] [--log-scale id ] [-n val ] [--fit-to-box val ] [--bg-image file ] [-o id=value ] [ fileToRender ]

This manual page documents briefly the v_sim commands. It is a software to visualise atomic structures with OpenGl rendering.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

A complete list of options is included below.

-e, --export file (from v3.0.0)
    make an image from the fileToRender argument. The format is specified through the extension of the argument.

-r, --resources file (from v3.4.0)
    load the given resources file on startup instead of looking for a valid resources file in the standard locations.

-h, --help (from v3.0.0)
    show this little help.

-g, --geometry <w>x<h> (from v3.0.0)
    specify the size of the rendering window, the size argument must have the following format: <width>x<height> with positive non null values. (Default value: 600x600)

-s, --spin-file file (from v3.1.0)
    use the given argument as a spin indicator. If this option is used, V_Sim switches automatically to spin rendering whatever method is specified in the parameter file.

-m, --hiding-mode id (from v3.2.0)
    policy used to show or not null modulus spins possible values are positives. (Default value: 0)

-a, --spin-and-atomic (from v3.3.0)
    always draws atomic rendering on node position in addition to spin rendering.

-c, --colorize file (from v3.1.0)
    the argument fileToRender must be called, then the given file of the option is used to colorize the elements.

-u, --use-column l:m:n (from v3.1.0)
    must be used with the '--colorize' option, it specifies the columns to use from the data file for the three colour channels [l;m;n]. Columns are counted from 1 and set 0 to use the constant 1.

-d, --color-preset id (from v3.1.0)
    this option can be used with the '--colorize' one or the '--build-map' one. It chooses a preset color scheme. The id argument is an integer that corresponds to a defined color shade (ranging from 0).

-t, --translate x:y:z (from v3.3.0)
    a file must be loaded. It applies the given translations to the loaded file. The units are those of the file. This is available for periodic file formats only.

-x, --expand x:y:z (from v3.4.0)
    a file must be loaded. It applies the given expansion to the loaded file. The values are given in box coordinates. This is available for periodic file formats only.

-p, --planes file (from v3.2.0)
    the argument fileToRender must be called, then the given file of the option is parsed as a list of planes and they are rendered.

-f, --scalar-field file (from v3.3.0)
    the argument fileToRender must be called, then the given file of the option is parsed as a scalar field and loaded.

-v, --iso-values v[:v] (from v3.3.0)
    must be used with the '--scalar-field' option, then the given surfaces are built and rendered. If a name is appended to a value using '#' as a separator, this name is used as the name for the iso-surface (i.e. 0.25#Blue).

-i, --iso-surfaces file (from v3.2.0)
    the argument fileToRender must be given, then the given file of the option is parsed and surfaces are rendered.

-b, --build-map id (from v3.4.0)
    the argument fileToRender must be given, as the '--planes', '--color-preset' and '--scalar-field' options used, then the given plane 'id' is replaced by a coloured map using given scalar field and shade. 'id' ranges from 0.

--log-scale (from v3.4.0)
    if given, plots are done with the logarithm scale.

-n, --n-iso-lines val (from v3.4.0)
    when positive, val isolines are plotted on the coloured map.

--fit-to-box val (from v3.3.0)
    if val is not TRUE, the surfaces use their own bounding box. (Default value: TRUE)

--bg-image file (from v3.4.0)
    draw the given image on the background.

-o, --option id=value (from v3.3.0)
    this is a generic way to give extended option. to V_Sim. As much as -o can be used. Each one store a key and its value (boolean, integer or float).

FILES
/usr/share/v_sim/v_sim.res specify all rendering informations from position of the camera to colour of the elements.
/usr/share/v_sim/v_sim.par specify all interface and non-rendering options such as the positions of the panels.
~/$XDG_CONFIG_DIR/v_sim a directory where overloading v_sim.res and v_sim.par can be put.

AUTHOR
V_Sim was written by Luc Billard, Damien Caliste, Olivier D'Astier Aurélien Lherbier and Yoann Ratao.

This manual page was written by Damien Caliste <damien.caliste@cea.fr>.